Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IKeyEvent

    java.lang.Object
      igeo.gui.IKeyEvent

    public class IKeyEvent

extends java.lang.Object

Abstracted key event in case no AWT provided

Author:
  Satoru Sugihara

Field Summary
`boolean` | `actionKey`
`boolean` | `altDown`
`char` | `character`
`boolean` | `controlDown`
`int` | `keyCode`
`int` | `keyLocation`
`boolean` | `metaDown`
`boolean` | `shiftDown`

Constructor Summary
`IKeyEvent()`
`IKeyEvent(int keycode)`
`IKeyEvent(java.awt.event.KeyEvent e)`

Method Summary
`char` | `getKeyChar()`
`int` | `getKeyCode()`
`int` | `getKeyLocation()`
`boolean` | `isAltDown()`
`boolean` | `isControlDown()`
`boolean` | `isMetaDown()`
`boolean` | `isShiftDown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### character

    public char character

### keyCode

    public int keyCode

### keyLocation

    public int keyLocation

### actionKey

    public boolean actionKey

### altDown

    public boolean altDown

### controlDown

    public boolean controlDown

### metaDown

    public boolean metaDown

### shiftDown

    public boolean shiftDown

Constructor Detail

### IKeyEvent

    public IKeyEvent()

### IKeyEvent

    public IKeyEvent(int keycode)

### IKeyEvent

    public IKeyEvent(java.awt.event.KeyEvent e)

Method Detail

### getKeyChar

    public char getKeyChar()

### getKeyCode

    public int getKeyCode()

### getKeyLocation

    public int getKeyLocation()

### isAltDown

    public boolean isAltDown()

### isControlDown

    public boolean isControlDown()

### isMetaDown

    public boolean isMetaDown()

### isShiftDown

    public boolean isShiftDown()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD